Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network40.167.2.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
Network address
40.167.2.0
Broadcast address
40.167.3.255
First usable
40.167.2.1
Last usable
40.167.3.254
Usable hosts
510 (512 less the network and broadcast addresses)
Subnet mask
255.255.254.0
Wildcard mask
0.0.1.255 (Cisco ACLs, OSPF)
Prefix length
/23
Type
Public public
Old class
A (default /8)
As numbers
Hex 28A70200 · Integer 682033664 to 682034175
Reverse DNS zones
2.167.40.in-addr.arpa
3.167.40.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101000.10100111.00000010.0000000040.167.2.0
Subnet mask11111111.11111111.11111110.00000000255.255.254.0
Network00101000.10100111.00000010.0000000040.167.2.0
Broadcast00101000.10100111.00000011.1111111140.167.3.255
Split into smaller subnets/32

40.167.2.0/23 makes 512 subnets of /32; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
140.167.2.0/3240.167.2.0 to 40.167.2.0—1
240.167.2.1/3240.167.2.1 to 40.167.2.1—1
340.167.2.2/3240.167.2.2 to 40.167.2.2—1
440.167.2.3/3240.167.2.3 to 40.167.2.3—1
540.167.2.4/3240.167.2.4 to 40.167.2.4—1
640.167.2.5/3240.167.2.5 to 40.167.2.5—1
740.167.2.6/3240.167.2.6 to 40.167.2.6—1
840.167.2.7/3240.167.2.7 to 40.167.2.7—1
940.167.2.8/3240.167.2.8 to 40.167.2.8—1
1040.167.2.9/3240.167.2.9 to 40.167.2.9—1
1140.167.2.10/3240.167.2.10 to 40.167.2.10—1
1240.167.2.11/3240.167.2.11 to 40.167.2.11—1
1340.167.2.12/3240.167.2.12 to 40.167.2.12—1
1440.167.2.13/3240.167.2.13 to 40.167.2.13—1
1540.167.2.14/3240.167.2.14 to 40.167.2.14—1
1640.167.2.15/3240.167.2.15 to 40.167.2.15—1
1740.167.2.16/3240.167.2.16 to 40.167.2.16—1
1840.167.2.17/3240.167.2.17 to 40.167.2.17—1
1940.167.2.18/3240.167.2.18 to 40.167.2.18—1
2040.167.2.19/3240.167.2.19 to 40.167.2.19—1
2140.167.2.20/3240.167.2.20 to 40.167.2.20—1
2240.167.2.21/3240.167.2.21 to 40.167.2.21—1
2340.167.2.22/3240.167.2.22 to 40.167.2.22—1
2440.167.2.23/3240.167.2.23 to 40.167.2.23—1
2540.167.2.24/3240.167.2.24 to 40.167.2.24—1
2640.167.2.25/3240.167.2.25 to 40.167.2.25—1
2740.167.2.26/3240.167.2.26 to 40.167.2.26—1
2840.167.2.27/3240.167.2.27 to 40.167.2.27—1
2940.167.2.28/3240.167.2.28 to 40.167.2.28—1
3040.167.2.29/3240.167.2.29 to 40.167.2.29—1
3140.167.2.30/3240.167.2.30 to 40.167.2.30—1
3240.167.2.31/3240.167.2.31 to 40.167.2.31—1
3340.167.2.32/3240.167.2.32 to 40.167.2.32—1
3440.167.2.33/3240.167.2.33 to 40.167.2.33—1
3540.167.2.34/3240.167.2.34 to 40.167.2.34—1
3640.167.2.35/3240.167.2.35 to 40.167.2.35—1
3740.167.2.36/3240.167.2.36 to 40.167.2.36—1
3840.167.2.37/3240.167.2.37 to 40.167.2.37—1
3940.167.2.38/3240.167.2.38 to 40.167.2.38—1
4040.167.2.39/3240.167.2.39 to 40.167.2.39—1
4140.167.2.40/3240.167.2.40 to 40.167.2.40—1
4240.167.2.41/3240.167.2.41 to 40.167.2.41—1
4340.167.2.42/3240.167.2.42 to 40.167.2.42—1
4440.167.2.43/3240.167.2.43 to 40.167.2.43—1
4540.167.2.44/3240.167.2.44 to 40.167.2.44—1
4640.167.2.45/3240.167.2.45 to 40.167.2.45—1
4740.167.2.46/3240.167.2.46 to 40.167.2.46—1
4840.167.2.47/3240.167.2.47 to 40.167.2.47—1
4940.167.2.48/3240.167.2.48 to 40.167.2.48—1
5040.167.2.49/3240.167.2.49 to 40.167.2.49—1
5140.167.2.50/3240.167.2.50 to 40.167.2.50—1
5240.167.2.51/3240.167.2.51 to 40.167.2.51—1
5340.167.2.52/3240.167.2.52 to 40.167.2.52—1
5440.167.2.53/3240.167.2.53 to 40.167.2.53—1
5540.167.2.54/3240.167.2.54 to 40.167.2.54—1
5640.167.2.55/3240.167.2.55 to 40.167.2.55—1
5740.167.2.56/3240.167.2.56 to 40.167.2.56—1
5840.167.2.57/3240.167.2.57 to 40.167.2.57—1
5940.167.2.58/3240.167.2.58 to 40.167.2.58—1
6040.167.2.59/3240.167.2.59 to 40.167.2.59—1
6140.167.2.60/3240.167.2.60 to 40.167.2.60—1
6240.167.2.61/3240.167.2.61 to 40.167.2.61—1
6340.167.2.62/3240.167.2.62 to 40.167.2.62—1
6440.167.2.63/3240.167.2.63 to 40.167.2.63—1
6540.167.2.64/3240.167.2.64 to 40.167.2.64—1
6640.167.2.65/3240.167.2.65 to 40.167.2.65—1
6740.167.2.66/3240.167.2.66 to 40.167.2.66—1
6840.167.2.67/3240.167.2.67 to 40.167.2.67—1
6940.167.2.68/3240.167.2.68 to 40.167.2.68—1
7040.167.2.69/3240.167.2.69 to 40.167.2.69—1
7140.167.2.70/3240.167.2.70 to 40.167.2.70—1
7240.167.2.71/3240.167.2.71 to 40.167.2.71—1
7340.167.2.72/3240.167.2.72 to 40.167.2.72—1
7440.167.2.73/3240.167.2.73 to 40.167.2.73—1
7540.167.2.74/3240.167.2.74 to 40.167.2.74—1
7640.167.2.75/3240.167.2.75 to 40.167.2.75—1
7740.167.2.76/3240.167.2.76 to 40.167.2.76—1
7840.167.2.77/3240.167.2.77 to 40.167.2.77—1
7940.167.2.78/3240.167.2.78 to 40.167.2.78—1
8040.167.2.79/3240.167.2.79 to 40.167.2.79—1
8140.167.2.80/3240.167.2.80 to 40.167.2.80—1
8240.167.2.81/3240.167.2.81 to 40.167.2.81—1
8340.167.2.82/3240.167.2.82 to 40.167.2.82—1
8440.167.2.83/3240.167.2.83 to 40.167.2.83—1
8540.167.2.84/3240.167.2.84 to 40.167.2.84—1
8640.167.2.85/3240.167.2.85 to 40.167.2.85—1
8740.167.2.86/3240.167.2.86 to 40.167.2.86—1
8840.167.2.87/3240.167.2.87 to 40.167.2.87—1
8940.167.2.88/3240.167.2.88 to 40.167.2.88—1
9040.167.2.89/3240.167.2.89 to 40.167.2.89—1
9140.167.2.90/3240.167.2.90 to 40.167.2.90—1
9240.167.2.91/3240.167.2.91 to 40.167.2.91—1
9340.167.2.92/3240.167.2.92 to 40.167.2.92—1
9440.167.2.93/3240.167.2.93 to 40.167.2.93—1
9540.167.2.94/3240.167.2.94 to 40.167.2.94—1
9640.167.2.95/3240.167.2.95 to 40.167.2.95—1
9740.167.2.96/3240.167.2.96 to 40.167.2.96—1
9840.167.2.97/3240.167.2.97 to 40.167.2.97—1
9940.167.2.98/3240.167.2.98 to 40.167.2.98—1
10040.167.2.99/3240.167.2.99 to 40.167.2.99—1
10140.167.2.100/3240.167.2.100 to 40.167.2.100—1
10240.167.2.101/3240.167.2.101 to 40.167.2.101—1
10340.167.2.102/3240.167.2.102 to 40.167.2.102—1
10440.167.2.103/3240.167.2.103 to 40.167.2.103—1
10540.167.2.104/3240.167.2.104 to 40.167.2.104—1
10640.167.2.105/3240.167.2.105 to 40.167.2.105—1
10740.167.2.106/3240.167.2.106 to 40.167.2.106—1
10840.167.2.107/3240.167.2.107 to 40.167.2.107—1
10940.167.2.108/3240.167.2.108 to 40.167.2.108—1
11040.167.2.109/3240.167.2.109 to 40.167.2.109—1
11140.167.2.110/3240.167.2.110 to 40.167.2.110—1
11240.167.2.111/3240.167.2.111 to 40.167.2.111—1
11340.167.2.112/3240.167.2.112 to 40.167.2.112—1
11440.167.2.113/3240.167.2.113 to 40.167.2.113—1
11540.167.2.114/3240.167.2.114 to 40.167.2.114—1
11640.167.2.115/3240.167.2.115 to 40.167.2.115—1
11740.167.2.116/3240.167.2.116 to 40.167.2.116—1
11840.167.2.117/3240.167.2.117 to 40.167.2.117—1
11940.167.2.118/3240.167.2.118 to 40.167.2.118—1
12040.167.2.119/3240.167.2.119 to 40.167.2.119—1
12140.167.2.120/3240.167.2.120 to 40.167.2.120—1
12240.167.2.121/3240.167.2.121 to 40.167.2.121—1
12340.167.2.122/3240.167.2.122 to 40.167.2.122—1
12440.167.2.123/3240.167.2.123 to 40.167.2.123—1
12540.167.2.124/3240.167.2.124 to 40.167.2.124—1
12640.167.2.125/3240.167.2.125 to 40.167.2.125—1
12740.167.2.126/3240.167.2.126 to 40.167.2.126—1
12840.167.2.127/3240.167.2.127 to 40.167.2.127—1
12940.167.2.128/3240.167.2.128 to 40.167.2.128—1
13040.167.2.129/3240.167.2.129 to 40.167.2.129—1
13140.167.2.130/3240.167.2.130 to 40.167.2.130—1
13240.167.2.131/3240.167.2.131 to 40.167.2.131—1
13340.167.2.132/3240.167.2.132 to 40.167.2.132—1
13440.167.2.133/3240.167.2.133 to 40.167.2.133—1
13540.167.2.134/3240.167.2.134 to 40.167.2.134—1
13640.167.2.135/3240.167.2.135 to 40.167.2.135—1
13740.167.2.136/3240.167.2.136 to 40.167.2.136—1
13840.167.2.137/3240.167.2.137 to 40.167.2.137—1
13940.167.2.138/3240.167.2.138 to 40.167.2.138—1
14040.167.2.139/3240.167.2.139 to 40.167.2.139—1
14140.167.2.140/3240.167.2.140 to 40.167.2.140—1
14240.167.2.141/3240.167.2.141 to 40.167.2.141—1
14340.167.2.142/3240.167.2.142 to 40.167.2.142—1
14440.167.2.143/3240.167.2.143 to 40.167.2.143—1
14540.167.2.144/3240.167.2.144 to 40.167.2.144—1
14640.167.2.145/3240.167.2.145 to 40.167.2.145—1
14740.167.2.146/3240.167.2.146 to 40.167.2.146—1
14840.167.2.147/3240.167.2.147 to 40.167.2.147—1
14940.167.2.148/3240.167.2.148 to 40.167.2.148—1
15040.167.2.149/3240.167.2.149 to 40.167.2.149—1
15140.167.2.150/3240.167.2.150 to 40.167.2.150—1
15240.167.2.151/3240.167.2.151 to 40.167.2.151—1
15340.167.2.152/3240.167.2.152 to 40.167.2.152—1
15440.167.2.153/3240.167.2.153 to 40.167.2.153—1
15540.167.2.154/3240.167.2.154 to 40.167.2.154—1
15640.167.2.155/3240.167.2.155 to 40.167.2.155—1
15740.167.2.156/3240.167.2.156 to 40.167.2.156—1
15840.167.2.157/3240.167.2.157 to 40.167.2.157—1
15940.167.2.158/3240.167.2.158 to 40.167.2.158—1
16040.167.2.159/3240.167.2.159 to 40.167.2.159—1
16140.167.2.160/3240.167.2.160 to 40.167.2.160—1
16240.167.2.161/3240.167.2.161 to 40.167.2.161—1
16340.167.2.162/3240.167.2.162 to 40.167.2.162—1
16440.167.2.163/3240.167.2.163 to 40.167.2.163—1
16540.167.2.164/3240.167.2.164 to 40.167.2.164—1
16640.167.2.165/3240.167.2.165 to 40.167.2.165—1
16740.167.2.166/3240.167.2.166 to 40.167.2.166—1
16840.167.2.167/3240.167.2.167 to 40.167.2.167—1
16940.167.2.168/3240.167.2.168 to 40.167.2.168—1
17040.167.2.169/3240.167.2.169 to 40.167.2.169—1
17140.167.2.170/3240.167.2.170 to 40.167.2.170—1
17240.167.2.171/3240.167.2.171 to 40.167.2.171—1
17340.167.2.172/3240.167.2.172 to 40.167.2.172—1
17440.167.2.173/3240.167.2.173 to 40.167.2.173—1
17540.167.2.174/3240.167.2.174 to 40.167.2.174—1
17640.167.2.175/3240.167.2.175 to 40.167.2.175—1
17740.167.2.176/3240.167.2.176 to 40.167.2.176—1
17840.167.2.177/3240.167.2.177 to 40.167.2.177—1
17940.167.2.178/3240.167.2.178 to 40.167.2.178—1
18040.167.2.179/3240.167.2.179 to 40.167.2.179—1
18140.167.2.180/3240.167.2.180 to 40.167.2.180—1
18240.167.2.181/3240.167.2.181 to 40.167.2.181—1
18340.167.2.182/3240.167.2.182 to 40.167.2.182—1
18440.167.2.183/3240.167.2.183 to 40.167.2.183—1
18540.167.2.184/3240.167.2.184 to 40.167.2.184—1
18640.167.2.185/3240.167.2.185 to 40.167.2.185—1
18740.167.2.186/3240.167.2.186 to 40.167.2.186—1
18840.167.2.187/3240.167.2.187 to 40.167.2.187—1
18940.167.2.188/3240.167.2.188 to 40.167.2.188—1
19040.167.2.189/3240.167.2.189 to 40.167.2.189—1
19140.167.2.190/3240.167.2.190 to 40.167.2.190—1
19240.167.2.191/3240.167.2.191 to 40.167.2.191—1
19340.167.2.192/3240.167.2.192 to 40.167.2.192—1
19440.167.2.193/3240.167.2.193 to 40.167.2.193—1
19540.167.2.194/3240.167.2.194 to 40.167.2.194—1
19640.167.2.195/3240.167.2.195 to 40.167.2.195—1
19740.167.2.196/3240.167.2.196 to 40.167.2.196—1
19840.167.2.197/3240.167.2.197 to 40.167.2.197—1
19940.167.2.198/3240.167.2.198 to 40.167.2.198—1
20040.167.2.199/3240.167.2.199 to 40.167.2.199—1
20140.167.2.200/3240.167.2.200 to 40.167.2.200—1
20240.167.2.201/3240.167.2.201 to 40.167.2.201—1
20340.167.2.202/3240.167.2.202 to 40.167.2.202—1
20440.167.2.203/3240.167.2.203 to 40.167.2.203—1
20540.167.2.204/3240.167.2.204 to 40.167.2.204—1
20640.167.2.205/3240.167.2.205 to 40.167.2.205—1
20740.167.2.206/3240.167.2.206 to 40.167.2.206—1
20840.167.2.207/3240.167.2.207 to 40.167.2.207—1
20940.167.2.208/3240.167.2.208 to 40.167.2.208—1
21040.167.2.209/3240.167.2.209 to 40.167.2.209—1
21140.167.2.210/3240.167.2.210 to 40.167.2.210—1
21240.167.2.211/3240.167.2.211 to 40.167.2.211—1
21340.167.2.212/3240.167.2.212 to 40.167.2.212—1
21440.167.2.213/3240.167.2.213 to 40.167.2.213—1
21540.167.2.214/3240.167.2.214 to 40.167.2.214—1
21640.167.2.215/3240.167.2.215 to 40.167.2.215—1
21740.167.2.216/3240.167.2.216 to 40.167.2.216—1
21840.167.2.217/3240.167.2.217 to 40.167.2.217—1
21940.167.2.218/3240.167.2.218 to 40.167.2.218—1
22040.167.2.219/3240.167.2.219 to 40.167.2.219—1
22140.167.2.220/3240.167.2.220 to 40.167.2.220—1
22240.167.2.221/3240.167.2.221 to 40.167.2.221—1
22340.167.2.222/3240.167.2.222 to 40.167.2.222—1
22440.167.2.223/3240.167.2.223 to 40.167.2.223—1
22540.167.2.224/3240.167.2.224 to 40.167.2.224—1
22640.167.2.225/3240.167.2.225 to 40.167.2.225—1
22740.167.2.226/3240.167.2.226 to 40.167.2.226—1
22840.167.2.227/3240.167.2.227 to 40.167.2.227—1
22940.167.2.228/3240.167.2.228 to 40.167.2.228—1
23040.167.2.229/3240.167.2.229 to 40.167.2.229—1
23140.167.2.230/3240.167.2.230 to 40.167.2.230—1
23240.167.2.231/3240.167.2.231 to 40.167.2.231—1
23340.167.2.232/3240.167.2.232 to 40.167.2.232—1
23440.167.2.233/3240.167.2.233 to 40.167.2.233—1
23540.167.2.234/3240.167.2.234 to 40.167.2.234—1
23640.167.2.235/3240.167.2.235 to 40.167.2.235—1
23740.167.2.236/3240.167.2.236 to 40.167.2.236—1
23840.167.2.237/3240.167.2.237 to 40.167.2.237—1
23940.167.2.238/3240.167.2.238 to 40.167.2.238—1
24040.167.2.239/3240.167.2.239 to 40.167.2.239—1
24140.167.2.240/3240.167.2.240 to 40.167.2.240—1
24240.167.2.241/3240.167.2.241 to 40.167.2.241—1
24340.167.2.242/3240.167.2.242 to 40.167.2.242—1
24440.167.2.243/3240.167.2.243 to 40.167.2.243—1
24540.167.2.244/3240.167.2.244 to 40.167.2.244—1
24640.167.2.245/3240.167.2.245 to 40.167.2.245—1
24740.167.2.246/3240.167.2.246 to 40.167.2.246—1
24840.167.2.247/3240.167.2.247 to 40.167.2.247—1
24940.167.2.248/3240.167.2.248 to 40.167.2.248—1
25040.167.2.249/3240.167.2.249 to 40.167.2.249—1
25140.167.2.250/3240.167.2.250 to 40.167.2.250—1
25240.167.2.251/3240.167.2.251 to 40.167.2.251—1
25340.167.2.252/3240.167.2.252 to 40.167.2.252—1
25440.167.2.253/3240.167.2.253 to 40.167.2.253—1
25540.167.2.254/3240.167.2.254 to 40.167.2.254—1
25640.167.2.255/3240.167.2.255 to 40.167.2.255—1

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses